"Re-Volt Cruises" by MOH

on a cruise ship just leaving the city.

Track created with zmodeler, most textures made my me apart from the photos, which i imaging u can guess which ones.

you may use this as a base, or anything in the track, as long as you give credit.